<%
	/*
	功能：设置支付宝所需参数
	接口名称：标准即时到账接口
	版本：2.0
	日期：2008-12-31
	作者：支付宝公司销售部技术支持团队
	联系：0571-26888888
	版权：支付宝公司
	 */
%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
<%@ page import="com.alipay.util.*"%>
<%@ page import="com.alipay.config.*"%>
<%@ page import="java.util.*"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
    <title>支付宝支</title>
    
	<meta http-equiv="pragma" content="no-cache">
	<meta http-equiv="cache-control" content="no-cache">
	<meta http-equiv="expires" content="0">    
	<meta http-equiv="keywords" content="keyword1,keyword2,keyword3">
	<meta http-equiv="description" content="This is my page">
	<!--
	<link rel="stylesheet" type="text/css" href="styles.css">
	-->

  </head>
  <%
		String paygateway = "https://www.alipay.com/cooperate/gateway.do?"; //'支付接口
		String service = "create_direct_pay_by_user";//快速付款交易服务
		String sign_type = "MD5";
		String out_trade_no = request.getParameter("out_orderNo").trim(); //商户网站订单（也就是外部订单号，是通过客户网站传给支付宝，不可以重复）
		String input_charset = AlipayConfig.CharSet;  //页面编码（不可以修改）
		//partner和key提取方法：登陆签约支付宝账户--->点击“商家服务”就可以看到
		String partner = AlipayConfig.partnerID; //支付宝合作伙伴id (账户内提取)
		String key = AlipayConfig.key; //支付宝安全校验码(账户内提取)
		String body = request.getParameter("goodBody").trim(); //商品描述，推荐格式：商品名称（订单编号：订单编号）
		String total_fee = request.getParameter("goodPrice").trim(); //订单总价
		String payment_type = "1";//支付宝类型.1代表商品购买（目前填写1即可，不可以修改）
		String seller_email =  AlipayConfig.sellerEmail; //卖家支付宝帐户,例如：gwl25@126.com
		String subject = request.getParameter("goodName").trim()+ "*商品订单号：" + out_trade_no; //商品名称
		String show_url = request.getParameter("show_good_url").trim();  //根据集成的网站而定 例如：http://wow.alipay.com
		
		String path = request.getScheme() + "://" + request.getServerName()
				+ ":" + request.getServerPort();// "http://190.10.2.33:7001/"; 

		String notify_url = path + "/jsp_direct_utf/alipay_notify.jsp"; //通知接收URL(本地测试时，服务器返回无法测试)
		String return_url = path + "/jsp_direct_utf/alipay_return.jsp"; //支付完成后跳转返回的网址URL
		
		/*以下两个参数paymethod和defaultbank可以选择不使用，如果不使用需要注销，并在Payment类的方法中也要注销*/
		String paymethod = request.getParameter("paymethod").trim();//赋值:bankPay(网银);cartoon(卡通); directPay(余额)
		String defaultbank = request.getParameter("defaultbank").trim();
		//ICBCB2C	中国工商银行
		//CMB		招商银行
		//CCB		中国建设银行
		//ABC		中国农业银行
		//SPDB		上海浦东发展银行
		//SPDBB2B	上海浦东发展银行(B2B)
		//CIB	兴业银行
		//GDB		广东发展银行
		//SDB	深圳发展银行
		//CMBC		中国民生银行
		//COMM		交通银行
		//POSTGC		邮政储蓄银行
		//CITIC		中信银行
		//CCBVISA	建行VISA
		//VISA		VISA

		String ItemUrl = Payment.CreateUrl(paygateway, service, sign_type,
				out_trade_no, input_charset, partner, key, show_url, body,
				total_fee, payment_type, seller_email, subject, notify_url,
				return_url, paymethod, defaultbank);
	%>
	<body bgcolor="#FF9900">
	<form name="alipaysubmit" method="post"
		action="https://www.alipay.com/cooperate/gateway.do?_input_charset=<%=AlipayConfig.CharSet %>">
		<input type=hidden name="body" value="<%=body%>">
		<input type=hidden name="notify_url" value="<%=notify_url%>">
		<input type=hidden name="out_trade_no" value="<%=out_trade_no%>">
		<input type=hidden name="partner" value="<%=partner%>">
		<input type=hidden name="payment_type" value="<%=payment_type%>">
		<input type=hidden name="seller_email" value="<%=seller_email%>">
		<input type=hidden name="service" value="<%=service%>">
		<input type=hidden name="sign" value="<%=ItemUrl%>">
		<input type=hidden name="sign_type" value="MD5">
		<input type=hidden name="subject" value="<%=subject%>">
		<input type=hidden name="total_fee" value="<%=total_fee%>">
		<input type=hidden name="show_url" value="<%=show_url%>">
		<input type=hidden name="return_url" value="<%=return_url%>">
		<input type=hidden name="paymethod" value="<%=paymethod%>">
		<input type=hidden name="defaultbank" value="<%=defaultbank%>">
		<table>
			<tr>
				<td>
					<font color="#FF0000" size="+1">支付宝即时支付入口：</font>
					<input type='button' name='v_action' value='支付宝网上安全即时支付平台'
						onClick='document.alipaysubmit.submit()'>
				</td>
			</tr>
		</table>
	</form>
	<br>
  </body>
</html>
